<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/*
 * Plugin Name: Privacy Policy Genius 
 * Plugin URI: http://privacypolicy.guru/ 
 * Description: Instantly create a custom privacy policy for your website.
 * Version: 0.2.8
 * Author: Wael Hassan 
 * Author URI: http://waelhassan.com 
 * Text Domain: policy-plugin
 */


 
class QuestionsPlugin {
        
        function __construct()
        {
            $this->countries = array("United States","Canada","UK","Hong Kong","Russian Federation","World" );
            add_action('admin_menu', array( $this,'policy_plugin_setup_menu'));
        }
        
        function policy_plugin_setup_menu(){
                add_submenu_page( 'options-general.php','Privacy Guru', 'Privacy Guru', 'manage_options', 'policy-plugin-lite', array( $this, 'policy_init') );
        }
        
        function policy_init(){
            
              if( isset($_POST['generate_policy_plugin']) &&  current_user_can('manage_options') ){
                
                    $errors = false;
                    
                    $db_array = array();
                    
                    require dirname(__FILE__) . '/tmpl/validation.php';
                        
                }else{
                    
                    _e( 'You do not have permission to change settings on this page', 'policy-plugin-lite' ); 
                    
                }
            
              require dirname(__FILE__) . '/tmpl/form.php';
            
        }

        function shortcode() {
            ob_start();
            
            $policy_plugin_options = unserialize(get_option('policy-plugin-options'));
            
            if(!$policy_plugin_options){
                
                return __( 'Please configure plugin first.', 'policy-plugin-lite' );
                
            }

            require dirname(__FILE__) . '/tmpl/text.php';
            
            
            
            $output =  ob_get_clean();
            
            
                $output = str_replace( '[COMPANY]', esc_html( $policy_plugin_options['company_name'] ), $output );
                $output = str_replace( '[DATE]', date('m/d/Y'), $output );
                $output = str_replace( '[address]', esc_html( $policy_plugin_options['address'] ), $output );
                $output = str_replace( '[CONTACT EMAIL]', esc_html( $policy_plugin_options['email_address'] ), $output );
                $output = str_replace( '[COUNTRY]', esc_html( $policy_plugin_options['country'] ), $output );
                $output = str_replace( '[WWW.WEBSITE.COM]', esc_url( $policy_plugin_options['website'] ), $output );
                $output = str_replace( '[STORAGE]', esc_html( $policy_plugin_options['storage'] ), $output );
                $output = str_replace( '[DESTROY OR ERASE]', esc_html( $policy_plugin_options['destroy_or_erase'] ), $output );
                $output = str_replace( '[CONTACT INFORMATION]',
                    esc_html( $policy_plugin_options['name_of_privacy_officer'] ) .'<br />' .
                    esc_html( $policy_plugin_options['address'] ) . '<br />' .
                    esc_html( $policy_plugin_options['city'] ) . '<br />' .
                    esc_html( $policy_plugin_options['email_address'] ), $output
                );
                
                $arrays = array('collect','purposes');

                foreach( $arrays as $array )
                {
                   
                    if( !empty( $policy_plugin_options[ $array ] ) )
                    {
                        $output = str_replace( '['.$array.']', implode(', ', $policy_plugin_options[ $array ] ), $output );
                    }
                    else
                    {
                        $output = str_replace( '['.$array.']', '', $output );
                    }
                    
                }
                
                $output = str_replace( '[under_16]', esc_html( $policy_plugin_options['under_16'] ), $output );
                $output = str_replace( '[use_cookies]', esc_html( $policy_plugin_options['use_cookies'] ), $output );
            
            
            return $output;
        }

        function scripts() {
            wp_enqueue_style( 'policy_plugin_css', plugin_dir_url( __FILE__ ) . 'css/policy_plugin_css.css', array(), rand( 1, 1000 ) );
        }

    }

    $qp = new QuestionsPlugin();

    add_shortcode( 'privacy_policy', array( $qp, 'shortcode' ) );
    add_action( 'wp_enqueue_scripts', array( $qp, 'scripts' ) );
