<?php
if ( ! defined( 'ABSPATH' ) ) exit; 

$policy_plugin_options = unserialize(get_option('policy-plugin-options')); 

if(empty($policy_plugin_options["collect"])){
    $policy_plugin_options["collect"] = array();
}
if(empty($policy_plugin_options["ppp"])){
    $policy_plugin_options["ppp"] = array();
}
if(empty($policy_plugin_options["purposes"])){
    $policy_plugin_options["purposes"] = array();  
}
 

?>

<a href="http://kidesign.io" style="display: block;margin: 10px 0;">
    <img src="<?php echo plugin_dir_url( __FILE__ ) . 'ki_Design_IO.jpg' ?>" width="240"/>
</a>

<form action="" class="the-policy-plugin" method="post">
    <?php wp_nonce_field('policy_genuius_action','policy_genuius_nonce_field'); ?>
    <div class="policy-plugin-form-block">
       <p>
            <label class="policy-plugin-question"><?php _e( '<h1> Privacy Policy Configuration</h2>', 'policy-plugin-lite' ); ?></label>
       </p>
        <p>
            <label class="policy-plugin-question"><?php _e( 'Please enter your company Name:', 'policy-plugin-lite' ); ?></label>
        </p>
        <p>
            <input type="text" name="company_name" placeholder="<?php esc_attr_e( 'Company Name', 'policy-plugin-lite' ); ?>" value="<?php if(isset($policy_plugin_options["company_name"])){ echo $policy_plugin_options["company_name"]; }  ?>" />
        </p>
    </div>
    <div class="policy-plugin-form-block">
        <p>
            <label class="policy-plugin-question"><?php _e( 'Enter Company Information:', 'policy-plugin-lite' ); ?></label>
        </p>
        <p>
            <input type="text" name="address" placeholder="<?php _e( 'Address', 'policy-plugin-lite' ); ?>" value="<?php if(isset($policy_plugin_options["address"])){ echo $policy_plugin_options["address"]; } ?>" />
            <input type="text" name="city" placeholder="<?php _e( 'City', 'policy-plugin-lite' ); ?>" value="<?php if(isset($policy_plugin_options["city"])){ echo $policy_plugin_options["city"]; } ?>" />
            <input type="text" name="phone_number" placeholder="<?php _e( 'Phone Number', 'policy-plugin-lite' ); ?>" value="<?php if(isset($policy_plugin_options["phone_number"])){ echo $policy_plugin_options["phone_number"]; } ?>" />
            <input type="email" name="email_address" placeholder="<?php _e( 'Email Address', 'policy-plugin-lite' ); ?>" value="<?php if(isset($policy_plugin_options["email_address"])){ echo $policy_plugin_options["email_address"]; } ?>" />
            <input type="text" name="website" placeholder="<?php _e( 'Website Address', 'policy-plugin-lite' ); ?>" value="<?php if(isset($policy_plugin_options["website"])){ echo $policy_plugin_options["website"]; } ?>" />
        </p>
    </div>
    <div class="policy-plugin-form-block">
        <p>
            <label class="policy-plugin-question"><?php _e( 'Name of Privacy Officer:', 'policy-plugin-lite' ); ?></label>
        </p>
        <p>
            <input type="text" name="name_of_privacy_officer" placeholder="<?php _e( 'Name', 'policy-plugin-lite' ); ?>" value="<?php if(isset($policy_plugin_options["name_of_privacy_officer"])){ echo $policy_plugin_options["name_of_privacy_officer"]; } ?>" />
        </p>
    </div>

    <div class="policy-plugin-form-block">
        <p>
            <label class="policy-plugin-question"><?php _e( 'Enter Country of Jurisdiction:', 'policy-plugin-lite' ); ?></label>
        </p>
        <p>
            <select name="country">

                <?php foreach( $this->countries as $country ): ?>

                    <option value="<?php _e( $country, 'policy-plugin-lite' );?>" <?php if( isset($policy_plugin_options["country"]) && $country == $policy_plugin_options["country"] ){echo "selected";} ?> ><?php _e( $country, 'policy-plugin-lite' ); ?></option>

                <?php endforeach ?>

            </select>
            <!--<input type="text" name="country" placeholder="Country" value="" />-->
        </p>
    </div>
    <div class="policy-plugin-form-block">
        <p>
            <label class="policy-plugin-question"><?php _e( 'Where do you store your personal information?:', 'policy-plugin-lite' ); ?></label>
        </p>
        <p>
            <select name="storage">

                <?php foreach( $this->countries as $country ): ?>

                    <option value="<?php esc_attr_e( $country ); ?>" <?php if( isset($policy_plugin_options["storage"]) && $country == $policy_plugin_options["storage"] ){echo "selected";} ?>><?php echo $country ?></option>

                <?php endforeach ?>

            </select>
            <!--<input type="text" name="country" placeholder="Country" value="" />-->
        </p>
    </div>
    <div class="policy-plugin-form-block">
        <p>
            <label class="policy-plugin-question"><?php _e( 'What data do you collect: (check all that apply)', 'policy-plugin-lite' ); ?></label>
        </p>
        <ul>
            <li>
                <label>
                    <input type="checkbox" name="collect[]" value="<?php _e( 'Name', 'policy-plugin-lite' ); ?>" <?php if( in_array('Name',$policy_plugin_options["collect"]) ){echo "checked";} ?> /><?php _e( 'Name', 'policy-plugin-lite' ); ?>
                </label>
            </li>
            <li>
                <label>
                    <input type="checkbox" name="collect[]" value="<?php _e( 'Mailing address', 'policy-plugin-lite' ); ?>" <?php if( in_array('Mailing address',$policy_plugin_options["collect"]) ){echo "checked";} ?> /><?php _e( 'Mailing address', 'policy-plugin-lite' ); ?>
                </label>
            </li>
            <li>
                <label>
                    <input type="checkbox" name="collect[]" value="<?php _e( 'Telephone number', 'policy-plugin-lite' ); ?>" <?php if( in_array('Telephone number',$policy_plugin_options["collect"]) ){echo "checked";} ?>  /><?php _e( 'Telephone number', 'policy-plugin-lite' ); ?>
                </label>
            </li>
            <li>
                <label>
                    <input type="checkbox" name="collect[]" value="<?php _e( 'Email address', 'policy-plugin-lite' ); ?>" <?php if( in_array('Email address',$policy_plugin_options["collect"]) ){echo "checked";} ?>  /><?php _e( 'Email address', 'policy-plugin-lite' ); ?>
                </label>
            </li>
			<li>
                <label>
                    <input type="checkbox" name="collect[]" value="<?php _e( 'Age', 'policy-plugin-lite' ); ?>" <?php if( in_array('Age',$policy_plugin_options["collect"]) ){echo "checked";} ?>  /><?php _e( 'Age', 'policy-plugin-lite' ); ?>
                </label>
            </li>
			<li>
                <label>
                    <input type="checkbox" name="collect[]" value="<?php _e( 'Gender', 'policy-plugin-lite' ); ?>" <?php if( in_array('Gender',$policy_plugin_options["collect"]) ){echo "checked";} ?>  /><?php _e( 'Gender', 'policy-plugin-lite' ); ?>
                </label>
            </li>
			<li>
                <label>
                    <input type="checkbox" name="collect[]" value="<?php _e( 'Date of birth', 'policy-plugin-lite' ); ?>" <?php if( in_array('Date of birth',$policy_plugin_options["collect"]) ){echo "checked";} ?>  /><?php _e( 'Date of birth', 'policy-plugin-lite' ); ?>
                </label>
            </li>
			<li>
                <label>
                    <input type="checkbox" name="collect[]" value="<?php _e( 'Credit Card or Billing Information/Credit history', 'policy-plugin-lite' ); ?>" <?php if( in_array('Credit Card or Billing Information/Credit history',$policy_plugin_options["collect"]) ){echo "checked";} ?>  /><?php _e( 'Credit Card or Billing Information/Credit history', 'policy-plugin-lite' ); ?>
                </label>
            </li>
			<li>
                <label>
                    <input type="checkbox" name="collect[]" value="<?php _e( 'Health status', 'policy-plugin-lite' ); ?>" <?php if( in_array('Health status',$policy_plugin_options["collect"]) ){echo "checked";} ?>  /><?php _e( 'Health status', 'policy-plugin-lite' ); ?>
                </label>
            </li>
			<li>
                <label>
                    <input type="checkbox" name="collect[]" value="<?php _e( 'Marital status', 'policy-plugin-lite' ); ?>"  <?php if( in_array('Marital status',$policy_plugin_options["collect"]) ){echo "checked";} ?> /><?php _e( 'Marital status', 'policy-plugin-lite' ); ?>
                </label>
            </li>
        </ul>
        <p>
            <label class="policy-plugin-question"><?php _e( 'Which of the following purposes will the personal information be used:', 'policy-plugin-question' ); ?></label>
        </p>
        <ul>
            <li>
                <label>
                    <input type="checkbox" name="ppp[]" value="<?php _e( 'To establish and maintain responsible commercial relations with customers and to provide ongoing services', 'policy-plugin-lite' ); ?>"
                    <?php if( in_array('To establish and maintain responsible commercial relations with customers and to provide ongoing services',$policy_plugin_options["ppp"]) ){echo "checked";} ?>/><?php _e( 'To establish and maintain responsible commercial relations with customers and to provide ongoing services', 'policy-plugin-lite' ); ?>
                </label>
            </li>
            <li>
                <label>
                    <input type="checkbox" name="ppp[]" value="<?php _e( 'To understand customer needs and preferences', 'policy-plugin-lite' ); ?>" 
                    <?php if( in_array('To understand customer needs and preferences',$policy_plugin_options["ppp"]) ){echo "checked";} ?>/><?php _e( 'To understand customer needs and preferences', 'policy-plugin-lite' ); ?>
                </label>
            </li>
            <li>
                <label>
                    <input type="checkbox" name="ppp[]" value="<?php _e( 'To develop and enhance market services', 'policy-plugin-lite' ); ?>" 
                    <?php if( in_array('To develop and enhance market services',$policy_plugin_options["ppp"]) ){echo "checked";} ?>/><?php _e( 'To develop and enhance market services', 'policy-plugin-lite' ); ?>
                </label>
            </li>
            <li>
                <label>
                    <input type="checkbox" name="ppp[]" value="<?php _e( 'To meet legal and regulatory requirements', 'policy-plugin-lite' ); ?>" 
                    <?php if( in_array('To meet legal and regulatory requirements',$policy_plugin_options["ppp"]) ){echo "checked";} ?>/><?php _e( 'To meet legal and regulatory requirements', 'policy-plugin-lite' ); ?>
                </label>
            </li>
			<li>
                <label>
                    <input type="checkbox" name="ppp[]" value="<?php _e( 'To evaluate candidates and applicants who have submitted personal information to us for employment consideration purposes', 'policy-plugin-lite' ); ?>" 
                    <?php if( in_array('To evaluate candidates and applicants who have submitted personal information to us for employment consideration purposes',$policy_plugin_options["ppp"]) ){echo "checked";} ?>/><?php _e( 'To evaluate candidates and applicants who have submitted personal information to us for employment consideration purposes', 'policy-plugin-lite' ); ?>
                </label>
            </li>
			<li>
                <label>
                    <input type="checkbox" name="ppp[]" value="<?php _e( 'To respond to your inquiry when you contact us, request a download or request a demo', 'policy-plugin-lite' ); ?>" 
                    <?php if( in_array('To respond to your inquiry when you contact us, request a download or request a demo',$policy_plugin_options["ppp"]) ){echo "checked";} ?>/><?php _e( 'To respond to your inquiry when you contact us, request a download or request a demo', 'policy-plugin-lite' ); ?>
                </label>
            </li>
			<li>
                <label>
                    <input type="checkbox" name="ppp[]" value="<?php _e( 'To send you our newsletter when you sign up for it, or you sign up to stay informed', 'policy-plugin-lite' ); ?>" 
                    <?php if( in_array('To send you our newsletter when you sign up for it, or you sign up to stay informed',$policy_plugin_options["ppp"]) ){echo "checked";} ?>/><?php _e( 'To send you our newsletter when you sign up for it, or you sign up to stay informed', 'policy-plugin-lite' ); ?>
                </label>
            </li>
			<li>
                <label>
                    <input type="checkbox" name="ppp[]" value="<?php _e( 'To register you for events and conferences',  'policy-plugin-lite' ); ?>" 
                    <?php if( in_array('To register you for events and conferences',$policy_plugin_options["ppp"]) ){echo "checked";} ?>/><?php _e( 'To register you for events and conferences', 'policy-plugin-lite' ); ?>
                </label>
            </li>
            <li>
                <label>
                    <input type="checkbox" name="ppp[]" value="<?php _e( 'To gather your opinion and feedback through surveys', 'policy-plugin-lite' ); ?>" 
                    <?php if( in_array('To gather your opinion and feedback through surveys',$policy_plugin_options["ppp"]) ){echo "checked";} ?>/><?php _e( 'To gather your opinion and feedback through surveys', 'policy-plugin-lite' ); ?>
                </label>
            </li>
			<li>
                <label>
                    <input type="checkbox" name="ppp[]" value="<?php _e( 'To advise you about new products and services that may be of interest to you (provided that you can choose not to receive any invitations or direct mail from us by indicating your preference as outlined below under Contact Us)', 'policy-plugin-lite' ); ?>" 
                    <?php if( in_array('To advise you about new products and services that may be of interest to you (provided that you can choose not to receive any invitations or direct mail from us by indicating your preference as outlined below under Contact Us)',$policy_plugin_options["ppp"]) ){echo "checked";} ?>/><?php _e( 'To advise you about new products and services that may be of interest to you (provided that you can choose not to receive any invitations or direct mail from us by indicating your preference as outlined below under Contact Us)', 'policy-plugin-lite' ); ?>
                </label>
            </li>
			<li>
                <label>
                    <input type="checkbox" name="ppp[]" value="<?php _e( 'Statistical analysis', 'policy-plugin-lite' ); ?>" 
                    <?php if( in_array('Statistical analysis',$policy_plugin_options["ppp"]) ){echo "checked";} ?>/><?php _e( 'Statistical analysis', 'policy-plugin-lite' ); ?>
                </label>
            </li>
			<li>
                <label>
                    <input type="checkbox" name="ppp[]" value="<?php _e( 'Email newsletters', 'policy-plugin-lite' ); ?>" 
                    <?php if( in_array('Email newsletters',$policy_plugin_options["ppp"]) ){echo "checked";} ?>/><?php _e( 'Email newsletters', 'policy-plugin-lite' ); ?>
                </label>
            </li>
			<li>
                <label>
                    <input type="checkbox" name="ppp[]" value="<?php _e( 'Other uses as may be permitted or required by applicable law', 'policy-plugin-lite' ); ?>" 
                    <?php if( in_array('Other uses as may be permitted or required by applicable law',$policy_plugin_options["ppp"]) ){echo "checked";} ?>/><?php _e( 'Other uses as may be permitted or required by applicable law', 'policy-plugin-lite' ); ?>
                </label>
            </li>
        </ul>
        
        <div class="policy-plugin-form-block">
            <p  class="policy-plugin-question"><?php _e( 'Does your website transfer personal information to third parties:', 'policy-plugin-lite' ); ?>
                <label>
                    <input type="radio"  class="checked-yes"  name="do_disclose" value="yes" <?php if( isset($policy_plugin_options["do_disclose"]) && "yes" == $policy_plugin_options["do_disclose"] ){echo "checked";} ?>/><?php _e( 'Yes', 'policy-plugin-lite' ); ?>
                </label>
                <label>
                    <input type="radio" name="do_disclose" class="checked-no" value="no" <?php if( isset($policy_plugin_options["do_disclose"]) && "no" == $policy_plugin_options["do_disclose"] ){echo "checked";} ?>/><?php _e( 'No', 'policy-plugin-lite' ); ?>
                </label>
            </p>
        </div>
        <script>
        ( function( $ )
        {
            $( document ).ready( function()
            {
               $( '.checked-no,.checked-yes' ).click( function()
               {
                   if( $( '.checked-yes' ).is( ':checked' ) )
                   {
                       $( '#data-collected' ).css( 'display','block' );
                   }
                   else
                   {
                       $( '#data-collected' ).css( 'display', 'none' );
                   }
               } );
            } );
        } )( jQuery );
            
        </script>
        <?php 
        $style_collected = 'display:none;';
        if( isset($policy_plugin_options["do_disclose"]) && "yes" == $policy_plugin_options["do_disclose"]){ $style_collected = 'display:block;'; } ?>
        <div id="data-collected" style="<?php echo $style_collected; ?>">
            <p>
                <label class="sublabel">
                    <b><?php _e( 'For what purposes does your website transfer personal information to third purposes?', 'policy-plugin-lite' ); ?></b>
                </label>
            </p>
            <ul>
                <li>
                    <label>
                        <input type="checkbox" name="purposes[]" value="<?php _e( 'processing and fulfilling the purposes outlined in the Policy',  'policy-plugin-lite' ); ?>" 
                        <?php if( in_array('processing and fulfilling the purposes outlined in the Policy',$policy_plugin_options["purposes"]) ){echo "checked";} ?>/><?php _e( 'processing and fulfilling the purposes outlined in the Policy', 'policy-plugin-lite' ); ?>
                    </label>
                </li>
                <li>
                    <label>
                        <input type="checkbox" name="purposes[]" value="<?php _e( 'providing data storage', 'policy-plugin-lite' ); ?>" 
                        <?php if( in_array('providing data storage',$policy_plugin_options["purposes"]) ){echo "checked";} ?>/><?php _e( 'providing data storage', 'policy-plugin-lite' ); ?>
                    </label>
                </li>
                <li>
                    <label>
                        <input type="checkbox" name="purposes[]" value="<?php _e( 'data processing', 'policy-plugin-lite' ); ?>" 
                        <?php if( in_array('data processing',$policy_plugin_options["purposes"]) ){echo "checked";} ?>/><?php _e( 'data processing', 'policy-plugin-lite' ); ?>
                    </label>
                </li>
                <li>
                    <label>
                        <input type="checkbox" name="purposes[]" value="<?php _e( 'telephone support', 'policy-plugin-lite' ); ?>" 
                        <?php if( in_array('telephone support',$policy_plugin_options["purposes"]) ){echo "checked";} ?>/><?php _e( 'telephone support', 'policy-plugin-lite' ); ?>
                    </label>
                </li>
				<li>
                    <label>
                        <input type="checkbox" name="purposes[]" value="<?php _e( 'selling or sharing data with marketing companies', 'policy-plugin-lite' ); ?>" 
                        <?php if( in_array('selling or sharing data with marketing companies',$policy_plugin_options["purposes"]) ){echo "checked";} ?>/><?php _e( 'selling or sharing data with marketing companies', 'policy-plugin-lite' ); ?>
                    </label>
                </li>
            </ul>
        </div>
    </div>
    <div class="policy-plugin-form-block">
        <p  class="policy-plugin-question"><?php _e( 'How do you dispose of personal information?', 'policy-plugin-lite' ); ?>
            <label>
                <input type="radio" name="destroy_or_erase" value="destroy" <?php if( isset($policy_plugin_options["destroy_or_erase"]) && "destroy" == $policy_plugin_options["destroy_or_erase"] ){echo "checked";} ?>/><?php _e( 'Destroy', 'policy-plugin-lite' ); ?>
            </label>
            <label>
                <input type="radio" name="destroy_or_erase" value="erase" <?php if( isset($policy_plugin_options["destroy_or_erase"]) && "erase" == $policy_plugin_options["destroy_or_erase"] ){echo "checked";} ?>/><?php _e( 'Erase', 'policy-plugin-lite' ); ?>
            </label>
        </p>
    </div>

    <div class="policy-plugin-form-block">
        <input type="hidden" name="under_16" value="no" />
        <p class="policy-plugin-question"><?php _e( 'Is your website used by children under 13 years of age?', 'policy-plugin-lite' ); ?>
            <label>
                <input type="radio" name="under_16" value="yes" <?php if( isset($policy_plugin_options["under_16"]) && "yes" == $policy_plugin_options["under_16"] ){echo "checked";} ?>/><?php _e( 'Yes', 'policy-plugin-lite' ); ?>
            </label>
            <label>
                <input type="radio" name="under_16" value="no" <?php if( isset($policy_plugin_options["under_16"]) && "no" == $policy_plugin_options["under_16"] ){echo "checked";} ?>/><?php _e( 'No', 'policy-plugin-lite' ); ?>
            </label>
        </p>
    </div>
    <div class="policy-plugin-form-block">
        <input type="hidden" name="use_cookies" value="no" />
        <p class="policy-plugin-question"><?php _e( 'Does your website use Cookies?', 'policy-plugin-lite' ); ?>
            <label>
                <input type="radio" name="use_cookies" value="yes" <?php if( isset($policy_plugin_options["use_cookies"]) && "yes" == $policy_plugin_options["use_cookies"] ){echo "checked";} ?>/><?php _e( 'Yes',  'policy-plugin-lite' ); ?>
            </label>
            <label>
                <input type="radio" name="use_cookies" value="no" <?php if( isset($policy_plugin_options["use_cookies"]) && "no" == $policy_plugin_options["use_cookies"] ){echo "checked";} ?>/><?php _e( 'No',  'policy-plugin-lite' ); ?>
            </label>
        </p>
    </div>
    <div class="policy-plugin-form-block">
        <input type="submit" name="generate_policy_plugin" value="<?php _e( 'Proceed', 'policy-plugin-lite' ); ?>" />
    </div>
</form>
