<?php if ( ! defined( 'ABSPATH' ) ) exit;  ?>

<p class="center">
    <b>
        <u>[COMPANY] <?php _e( esc_html(' Website Privacy Policy'), 'policy-plugin-lite' ); ?></u>
    </b>
</p>

<p><?php _e( esc_html('Last updated: '), 'policy-plugin-lite' ); ?>[DATE]</p>

<p>[COMPANY] <?php _e( esc_html(' ("us", "we", or "our") operates '), 'policy-plugin-lite' ); ?> [WWW.WEBSITE.COM] <?php _e( esc_html('the "Site"), and we are committed to protecting the privacy and security of our users’ and visitors’ personal information. This Privacy Policy (“Policy”) informs you of our policies regarding the collection, use and disclosure of Personal Information we receive from users of the Site. Our privacy procedures have been implemented to comply with privacy legislation in '), 'policy-plugin-lite ' ); ?> [COUNTRY].</p>

<p>
    <b><?php _e( esc_html('Notice and Collection'), 'policy-plugin-lite' ); ?></b>
</p>

<p><?php _e( esc_html('While using our Site, we may ask you to provide us with certain information that can be used to contact or identify you. “Personal Information” is any information that is identifiable with you, as an individual. Personal information we collect may include:'), 'policy-plugin-lite' ); ?></p>

<?php if( !empty( $policy_plugin_options['collect'] ) ):?>

<ul>
    <?php foreach( $policy_plugin_options['collect'] as $d ):?>

    <li><?php echo $d ?></li>

    <?php endforeach ?>
</ul>

<?php endif ?>
    
<p><?php _e( esc_html('Personal Information, however, does not include your name, business title or business address or business telephone number in your capacity as an employee of an organization. '), 'policy-plugin-lite' ); ?> [COMPANY] <?php _e( esc_html('will only collect personal information by fair and lawful means. The provision of personal information is voluntary.'), 'policy-plugin-lite' ); ?></p>

<p>[COMPANY] <?php _e( esc_html(' collects personal information for the following purposes:'), 'policy-plugin-lite' ); ?></p>

<?php if( !empty( $policy_plugin_options['ppp'] ) ):?>

<ul>
    <?php foreach( $policy_plugin_options['ppp'] as $d ):?>

    <li><?php echo esc_html($d); ?></li>

    <?php endforeach ?>
</ul>

<?php endif ?>

<p><?php _e( esc_html('Unless required or permitted by law, we shall not use or disclose your personal information for a new purpose not identified here.'), 'policy-plugin-lite' ); ?></p>

<?php if( $policy_plugin_options['under_16'] == 'no' ): ?>

    <p>[COMPANY] <?php _e( esc_html(' understands the importance of protecting children’s privacy, especially in an online environment. The Site covered by this Policy does not knowingly collect or maintain information about anyone under the age of 13.'), 'policy-plugin-lite' ); ?>

<?php else: ?>

    <?php _e( esc_html('In certain circumstances, the [COMPANY] Site may collect information from individuals under the age of 13. As required by law, we will give parents direct notice prior to collecting information and receive the parent’s verifiable consent.'), 'policy-plugin-lite' ); ?>

    <ul>
        <li>[COMPANY] <?php _e( esc_html(' will not require a child to disclose more information than is reasonably necessary to participate in an activity;'), 'policy-plugin-lite' ); ?></li>
        <li><?php _e( esc_html('Parents can review their child’s personal information, direct us to delete it, and refuse to allow any further collection or use of the child’s information;'), 'policy-plugin-lite' ); ?></li>
        <li><?php _e( esc_html('Parents can agree to the collection and use of their child’s information, but still not allow disclosure to third parties unless that’s part of the service (for example, social networking);'), 'policy-plugin-lite' ); ?></li>
        <li><?php _e( esc_html('To learn more about our privacy procedures, you may contact us at '), 'policy-plugin-lite' ); ?> [CONTACT EMAIL] </li>
    </ul>

<?php endif ?>


<p>
    <b><?php _e( esc_html('Choice and Consent'), 'policy-plugin-lite' ); ?></b>
</p>

<p><?php _e( esc_html('Prior to obtaining your consent, '), 'policy-plugin-lite' ); ?> [COMPANY] <?php _e( esc_html('will describe the choices available to you and obtain implicit or explicit consent with respect to the collection, use, and disclosure of your personal information, except in certain situations otherwise permitted by the law. Where it is reasonable to do so, we may rely on your implied consent. Otherwise, we will rely on explicit consent received directly from you to collect or use your personal information, for example, the collection of your personal information if you subscribe to a newsletter on the Site.'), 'policy-plugin-lite' ); ?></p>

<p><?php _e( esc_html('You may withdraw or modify your consent at any time through contacting '), 'policy-plugin-lite' ); ?> [COMPANY]’s<?php _e( esc_html('Privacy Officer at '), 'policy-plugin-lite' ); ?>[CONTACT EMAIL].</p>

<p>
    <b><?php _e( esc_html('Use and Retention'), 'policy-plugin-lite' ); ?></b>
</p>

<p>[COMPANY] <?php _e( esc_html(' limits the use of personal information to the purposes identified in this Policy and for which the individual has provided implicit or explicit consent. We retain personal information for only as long as it is necessary to fulfill the stated purposes, except with the consent of the individual or as required by law.'), 'policy-plugin-lite' ); ?></p>

<p><?php _e( esc_html('Personal information provided to us by users is primarily stored on servers in '), 'policy-plugin-lite' ); ?> [STORAGE].</p>

<p>[COMPANY] <?php _e( esc_html('will '), 'policy-plugin-lite' ); ?> [DESTROY OR ERASE] <?php _e( esc_html('personal information that is no longer needed.'), 'policy-plugin-lite' ); ?></p>

<p>
    <b><?php _e( esc_html('Disclosure to Third Parties'), 'policy-plugin-lite' ); ?></b>
</p>

<p>

    <?php if( $policy_plugin_options['do_disclose'] == 'yes' ): ?>

        [COMPANY] <?php _e( esc_html('transfers personal information to third parties or service providers. We transfer information for the purposes of '), 'policy-plugin-lite' ); ?><?php if( !empty( $_POST['purposes'] ) ) echo implode(', ', $_POST['purposes'] ) ?><?php _e( '. Such information may be transferred across state or national borders, in which case the information would become subject to the legislation of that jurisdiction. [COMPANY] ensures there is a data protection agreement in place with the third party to protect the personal information that is transferred. The third parties are prohibited from using your personal information for purposes other than that stated in our Policy.', 'policy-plugin-lite' ); ?>

    <?php else: ?>

        [COMPANY] <?php _e( esc_html(' does not transfer personal information to third parties or service providers.'), 'policy-plugin-lite' ); ?>

    <?php endif ?>

</p>

<p>
    <b><?php _e( esc_html('Access'), 'policy-plugin-lite' ); ?></b>
</p>

<p>[COMPANY] <?php _e( esc_html(' provides individuals with access to their personal information for review or update. If you wish to access your personal information to challenge accuracy or update it to ensure completeness, you may email us at [CONTACT EMAIL]. We will provide a response within 30 days of receiving an access request. If under certain circumstances we are unable to fully separate your personal information from that of another individual, we will not be able to provide you with access to your information.'), 'policy-plugin-lite' ); ?></p>

<p>
    <b><?php _e( esc_html('Quality'), 'policy-plugin-lite' ); ?></b>
</p>

<p>[COMPANY] <?php _e( esc_html(' will strive to maintain an accurate and complete record of your personal information for the purposes identified in this Policy. If you believe your personal information may be inaccurate, you may contact us to access your personal information and take steps to verify, update, and correct it.'), 'policy-plugin-lite' ); ?></p>

<p>
    <b><?php _e( esc_html('Cookies'),  'policy-plugin-lite' ); ?></b>
</p>

<p>

<?php if( $policy_plugin_options['use_cookies'] == 'yes' ): ?>

    <?php _e( esc_html('Cookies are files with small amount of data, which may include an anonymous unique identifier. Cookies are sent to your browser from a web site and stored on your computer\'s hard drive. Like many sites, we use "cookies" to collect information. You can instruct your browser to refuse or disable all cookies or to indicate when a cookie is being sent. However, if you do not accept cookies, you may not be able to use some portions of our Site. By using this website, you accept the use of cookies.'), 'policy-plugin-lite' ); ?></p>

<?php else: ?>

    <?php _e( esc_html('This website does not use cookies.'), 'policy-plugin-lite' ); ?>

<?php endif ?>

</p>

<p>
    <b><?php _e( esc_html('Security for Privacy'), 'policy-plugin-lite' ); ?></b>
</p>

<p><?php _e( esc_html('The security of your Personal Information is important to us, but remember that no method of transmission over the Internet, or method of electronic storage, is 100% secure. While we strive to use commercially acceptable means to protect your Personal Information, we cannot guarantee its absolute security. [COMPANY] protects personal information against unauthorized access in accordance with established policies and procedures. Information is protected by security safeguards appropriate to the sensitivity of the information.'), 'policy-plugin-lite' ); ?></p>

<p>
    <b><?php _e( esc_html('Monitoring and Enforcement'),  'policy-plugin-lite' ); ?></b>
</p>

<p>[COMPANY] <?php _e( esc_html(' monitors compliance with its privacy policies and procedures. Users may file privacy complaints and disputes by contacting [COMPANY]’s Privacy Officer at [CONTACT EMAIL], who is accountable for our privacy compliance. Every privacy-related complaint will be acknowledged, documented, and investigated, with the results being provided to the complainant. If the complaint is found to be justified, appropriate measures will be taken as a result.'), 'policy-plugin-lite' ); ?></p>


<p>
    <b><?php _e( esc_html('Changes to This Privacy Policy'), 'policy-plugin-lite' ); ?></b>
</p>

<p><?php _e( esc_html('This Privacy Policy is effective as of '), 'policy-plugin-lite' ); ?> [DATE] <?php _e( esc_html(' and will remain in effect except with respect to any changes in its provisions in the future, which will be in effect immediately after being posted on this page.'), 'policy-plugin-lite' ); ?></p>

<p><?php _e( esc_html('We reserve the right to update or change our Privacy Policy at any time and you should check this Privacy Policy periodically. Your continued use of the website after we post any modifications to the Privacy Policy on this page will constitute your acknowledgment of the modifications and your consent to abide and be bound by the modified Privacy Policy.'), 'policy-plugin-lite' ); ?></p>

<p><?php _e( esc_html('If we make any material changes to this Privacy Policy, we will notify you either through the email address you have provided us, or by placing a prominent notice on our website.'), 'policy-plugin-lite' ); ?></p>

<p>
    <b><?php _e( esc_html('Contact Us'),  'policy-plugin-lite' ); ?></b>
</p>

<p><?php _e( esc_html('If you have any further policy about this Privacy Policy, please contact us at'), 'policy-plugin-lite' ); ?></p>

<p>[CONTACT INFORMATION]</p>
