<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

    if ( check_admin_referer('policy_genuius_action','policy_genuius_nonce_field') ){

                if(isset($_POST['company_name'])){
                    
                    $db_array['company_name'] = sanitize_text_field($_POST['company_name']); 
                    
                    if ($db_array['company_name'] == "" || !is_string($db_array['company_name']) ) {
                        
                        $errors .= 'Please enter a valid Coompany name.<br/><br/>';
                        
                    }
                    
                }
                
                if(isset($_POST['address'])){
                    
                    $db_array['address'] = sanitize_text_field($_POST['address']); 
                    
                    if ( empty($db_array['address']) || !is_string($db_array['address'])  ) {
                        
                        $errors .= 'Please enter a valid Address.<br/><br/>';
                        
                    }
                    
                }
                
                if(isset($_POST['city'])){
                    
                    $db_array['city'] = sanitize_text_field($_POST['city']); 
                    
                    if ($db_array['city'] == "" || !is_string($db_array['city']) ) {
                        
                        $errors .= 'Please enter a valid City name.<br/><br/>';
                        
                    }
                    
                }
                
                if(isset($_POST['phone_number'])){
                    
                    $db_array['phone_number'] = sanitize_text_field($_POST['phone_number']); 
                    
                    if ($db_array['phone_number'] == "" ) {
                        
                        $errors .= 'Please enter a valid Phone number.<br/><br/>';
                        
                    }
                    
                }
                
                if(isset($_POST['email_address'])){
                    
                    $email = $db_array['email_address'] = sanitize_email($_POST['email_address']);
                    
                    if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
                        
                        $errors .= "$email is <strong>NOT</strong> a valid email address.<br/><br/>";
                        
                    }
                    
                }
                
                if(isset($_POST['website'])){
                    
                    $url = $db_array['website'] = esc_url($_POST['website']);
                    
                    if ( empty($url) ) {
                        
                        $errors .= $_POST['website']." is <strong>NOT</strong> a valid URL.<br/><br/>";
                        
                    }
                    
                }
                
                if(isset($_POST['name_of_privacy_officer'])){
                    
                    $db_array['name_of_privacy_officer'] = sanitize_text_field($_POST['name_of_privacy_officer']); 
                    
                    if ($db_array['name_of_privacy_officer'] == "" || !is_string($db_array['name_of_privacy_officer']) ) {
                        
                        $errors .= 'Please enter a Name of Privacy Officer.<br/><br/>';
                        
                    }
                    
                }
                
                if(isset($_POST['country'])){
                    
                    $db_array['country'] = sanitize_text_field($_POST['country']); 
                    
                    if ($db_array['country'] == "" || !is_string($db_array['country']) ) {
                        
                        $errors .= 'Please select a Country.<br/><br/>';
                        
                    }
                    
                }
                
                if(isset($_POST['storage'])){
                    
                    $db_array['storage'] = sanitize_text_field($_POST['storage']); 
                    
                    if ($db_array['storage'] == "" || !is_string($db_array['storage']) ) {
                        
                        $errors .= 'Please select a Storage.<br/><br/>';
                        
                    }
                    
                }
                
                if(isset($_POST['collect'])){
                    
                    $db_array['collect'] = $_POST['collect'];
                    
                    if (!is_array($db_array['collect'])) {
                        
                        $errors .= 'Something wrong with Collect.<br/><br/>';
                        
                    }
                    
                }
                
                if(isset($_POST['ppp'])){
                    
                    $db_array['ppp'] = $_POST['ppp'];
                    
                    if (!is_array($db_array['ppp'])) {
                        
                        $errors .= 'Something wrong with PPP.<br/><br/>';
                        
                    }
                    
                }
                
                if(isset($_POST['do_disclose'])){
                    
                    if($_POST['do_disclose'] == "yes" || $_POST['do_disclose'] == "no"){
                        
                        $db_array['do_disclose'] = $_POST['do_disclose'];
                        
                    }else{
                        
                        $errors .= 'Something wrong with Disclose.<br/><br/>';
                        
                    }
                    
                    if($_POST['do_disclose'] == "yes"){
                    
                        if($_POST['purposes']){
                        
                            $db_array['purposes'] = $_POST['purposes'];
                            
                            if (!is_array($db_array['purposes'])) {
                                
                                $errors .= 'Something wrong with Purposes.<br/><br/>';
                                
                            }
                            
                        }
                        
                    }
                    
                }
                
                if(isset($_POST['destroy_or_erase'])){
                    
                    if($_POST['destroy_or_erase'] == "destroy" || $_POST['destroy_or_erase'] == "erase"){
                        
                        $db_array['destroy_or_erase'] = $_POST['destroy_or_erase'];
                        
                    }else{
                        
                        $errors .= 'Something wrong with Disclose.<br/><br/>';
                        
                    }
                    
                }
                
                if(isset($_POST['under_16'])){
                    
                    if($_POST['under_16'] == "yes" || $_POST['under_16'] == "no"){
                        
                        $db_array['under_16'] = $_POST['under_16'];
                        
                    }else{
                        
                        $errors .= 'Something wrong with Under 16<br/><br/>';
                        
                    }
                    
                }
                
                if(isset($_POST['use_cookies'])){
                    
                    if($_POST['use_cookies'] == "yes" || $_POST['use_cookies'] == "no"){
                        
                        $db_array['use_cookies'] = $_POST['use_cookies'];
                        
                    }else{
                        
                        $errors .= 'Something wrong with Cookie answer.<br/><br/>';
                        
                    }
                    
                }
                
                if($errors == false){
                    
                    $serialized_data = serialize($db_array);
                
                    update_option('policy-plugin-options', $serialized_data);
                    
                    _e ( '<br><br><br>============================================================<br>' ); 
                    _e ( 'Please use [privacy_policy] shortcode', 'policy-plugin-lite' ); 
                    _e ( '<br><br><br><br><br>');
                    
                }else{
                    
                    echo "<div style='color:red'>".$errors."</div>";
                    
                }
                
    }              

?>
